package com.ruoyi.mqtt.dto.localization;

/**
 * 机器人实时位姿信息
 */
public class RobotPoseInfo {
    
    /**
     * 位姿数据
     */
    private PoseData pose;
    
    /**
     * 速度数据
     */
    private VelocityData vel;
    
    /**
     * RTK数据
     */
    private RtkData rtk;
    
    /**
     * 时间数据
     */
    private TimeData time;
    
    /**
     * 机器人定位置信度,范围0-100,值越大定位置信度越高
     */
    private Integer confidence;
    
    /**
     * 激光配准误差,score越小表示匹配越精确
     */
    private Double score;
    
    /**
     * 序列号,与/planning/trajectory主题相关
     */
    private Integer sequence;
    
    /**
     * 导航累计里程,单位:m
     */
    private Double odometer;
    
    /**
     * 机器人行驶状态
     * 1:正常行驶; 2:暂停; 3:停车待命; 4:遇障停车;
     * 5:交通管制等待; 6:定位切换等待; 7:人工接管; 8:绕障
     */
    private Integer runState;
    
    /**
     * 遇障重规划剩余时间,单位:秒
     */
    private Integer replan;
    
    public PoseData getPose() {
        return pose;
    }
    
    public void setPose(PoseData pose) {
        this.pose = pose;
    }
    
    public VelocityData getVel() {
        return vel;
    }
    
    public void setVel(VelocityData vel) {
        this.vel = vel;
    }
    
    public RtkData getRtk() {
        return rtk;
    }
    
    public void setRtk(RtkData rtk) {
        this.rtk = rtk;
    }
    
    public TimeData getTime() {
        return time;
    }
    
    public void setTime(TimeData time) {
        this.time = time;
    }
    
    public Integer getConfidence() {
        return confidence;
    }
    
    public void setConfidence(Integer confidence) {
        this.confidence = confidence;
    }
    
    public Double getScore() {
        return score;
    }
    
    public void setScore(Double score) {
        this.score = score;
    }
    
    public Integer getSequence() {
        return sequence;
    }
    
    public void setSequence(Integer sequence) {
        this.sequence = sequence;
    }
    
    public Double getOdometer() {
        return odometer;
    }
    
    public void setOdometer(Double odometer) {
        this.odometer = odometer;
    }
    
    public Integer getRunState() {
        return runState;
    }
    
    public void setRunState(Integer runState) {
        this.runState = runState;
    }
    
    public Integer getReplan() {
        return replan;
    }
    
    public void setReplan(Integer replan) {
        this.replan = replan;
    }
}
